★ TouchArcade needs your help. Click here to support us on Patreon.

Games that are limited to 2nd generation devices

03-15-2009, 10:41 PM
#1
Joined: Feb 2009
Location: San Jose, CA
Posts: 546
Games that are limited to 2nd generation devices

I've seen some cases advertised as '2nd gen only'. Obviously, I'd like to target as large a market as possible.

How are people setting games to require a 2nd gen iDevice, and how can I make sure that I don't do that? Is there a build/compile setting? Is it a checkbox in the AppStore submission process? Something else all together?

I did a little Googling, but couldn't come up with anything conclusive.
03-15-2009, 10:49 PM
#2
It's a dropdown box you select when you setup the app on iTunesConnect. You can't miss it and it can be changed anytime. What's more important is that you test your app on a 1st gen ipod touch to ensure that it runs smoothly.
03-16-2009, 09:36 AM
#3
Joined: Feb 2009
Location: San Jose, CA
Posts: 546
That definitely clears it up. I'll have to see if I can find someone with a first generate device(s) to try it out. Thanks!
03-16-2009, 12:07 PM
#4
Joined: Feb 2009
Posts: 132
You don't want to limit this, unless you are using features unavailable on first gen, which is microphone/speaker for ipod and GPS for both ipod and iphone.